#ifndef ARCNETNODECOST_H_
#define ARCNETNODECOST_H_

#include "models/wiredbas/common/NodeCost.h"
#include "quantities/Ports.h"
#include "float.h"

namespace cosi {

namespace models {

namespace wiredbas {

class ArcnetNodeCost : public NodeCost {

public:
	ArcnetNodeCost();
	~ArcnetNodeCost();
	double GetValue(std::string pComponentName,
			std::string pComponentType, Ports pPorts);

	double GetValue(std::string pComponentName,
				std::string pComponentType, Ports pPorts, double pBusSpeed);


};

}

}

}

#endif /*ARCNETNODECOST_H_*/
